#include "mbed.h"
#include "BLEDevice.h"
#include "nrf_gpio.h"

#define MY_BUTTON_0        P0_15      
#define MY_LED             P0_19                  // Active low

BLEDevice  ble;


int main(void)
{
    // Configure BUTTON_0 with SENSE enabled 
    nrf_gpio_cfg_sense_input(MY_BUTTON_0, NRF_GPIO_PIN_NOPULL, NRF_GPIO_PIN_SENSE_HIGH);
    
    // Configure the LED pins as outputs
    nrf_gpio_cfg_output(MY_LED);
    nrf_gpio_pin_clear(MY_LED);          // Setting LED0 in actual
    while(1)
    {     
            wait(10);
            nrf_gpio_pin_set(MY_LED);    // Clear LED0 in actual
            wait(1);
            // Enter system OFF. After wakeup the chip will be reset, and the MCU will run from the top 
            NRF_POWER->RAMON = 0;
            NRF_POWER->SYSTEMOFF = 1;        
    }
}
